AIMessageErrorRain = {}
AIMessageErrorRain_mt = Class(AIMessageErrorRain, AIMessage)

function AIMessageErrorRain:getMessage()
    if RainPain.Rain > 0 then
        return g_i18n:getText("AI_MESSAGE_ERROR_RAIN")
    elseif RainPain.Ground > 0 then
        return g_i18n:getText("AI_MESSAGE_ERROR_GROUND")
    elseif RainPain:isFrosty() == true then
        return g_i18n:getText("AI_MESSAGE_ERROR_COLD")
    else
        return AIMessageErrorUnknown:getMessage()
    end
end

function AIMessageErrorRain.new(customMt)
    local self = AIMessage.new(customMt or AIMessageErrorRain)
    return self
end

