-- Load muddy steps audio (honestly, still not 100% sure how this works!!)
function RainPain:loadSteps()
    local components = 0
    if g_currentMission.player ~= nil then
        if g_currentMission.player.model ~= nil then
            components = g_currentMission.player.model.rootNode -- need this to link audio to player model
        else return
        end
    else
        return
    end
    local baseDir = RainPain.modDirectory .. "audio/"
    local sampleName = "muddySteps"
    local baseKey = "sounds"
    local xml = loadXMLFile("NewSteps", RainPain.modDirectory .. "audio/NewSteps.xml")


    RainPain.steps.OGmuddySteps = g_soundManager:loadSampleFromXML(xml, baseKey, sampleName, baseDir, components, 1, 3, nil) -- load new step sounds
    RainPain.steps.muddySteps2D = g_soundManager:cloneSample2D(RainPain.steps.OGmuddySteps, g_currentMission.player.model.rootNode)
    RainPain.steps.muddySteps3D = g_soundManager:cloneSample(RainPain.steps.OGmuddySteps, g_currentMission.player.model.rootNode)

    RainPain.steps.muddySteps2D.note = "2D version for footsteps"
    RainPain.steps.muddySteps3D.note = "3D version for footsteps"
 -- capture current field step sound
    RainPain.mud = false
    RainPain.steps.loaded = true

end

-- Change footstep sounds on field depending on if it's muddy ground or not
function RainPain:setSteps()
    -- are you sleeping?
    if g_sleepManager.isSleeping == true then return end

    if not RainPain.steps.normalSteps then return end -- no idea what original steps are? Don't run this function
    if RainPain.mud == true then
        g_currentMission.player.model.soundInformation.surfaceNameToSound.field = RainPain.steps.muddySteps2D

    else
        g_currentMission.player.model.soundInformation.surfaceNameToSound.field = RainPain.steps.normalSteps

    end
end

-- Capture the original sample ID of field footsteps
function RainPain:getOldSteps()
    local m = false
    if g_currentMission.player ~= nil then
        if g_currentMission.player.model ~= nil then
            if g_currentMission.player.model.soundInformation ~= nil then
                if g_currentMission.player.model.soundInformation.surfaceNameToSound ~= nil then
                    m = true
                end
            end
        end
    end
    if m == false then return end

    if RainPain.steps.oldSteps == false then
        RainPain.steps.normalSteps = g_currentMission.player.model.soundInformation.surfaceNameToSound.field
        RainPain.steps.oldSteps = true

        RainPain:setSteps()
    end
end




